org.omg.CORBA

## Class OBJ_ADAPTER

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.OBJ_ADAPTER

All Implemented Interfaces:
  Serializable

    public final class OBJ_ADAPTER
    extends SystemException

This exception typically indicates an administrative mismatch, for example, a server may have made an attempt to register itself with an implementation repository under a name that is already in use, or is unknown to the repository.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section Minor Code Meanings to see the minor codes for this exception.

Since:
  JDK1.2
See Also:
  documentation on Java IDL exceptions

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`OBJ_ADAPTER()` Constructs an `OBJ_ADAPTER` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`OBJ_ADAPTER(int minor, CompletionStatus completed)` Constructs an `OBJ_ADAPTER` exception with the specified minor code and completion status.
`OBJ_ADAPTER(String s)` Constructs an `OBJ_ADAPTER` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.
`OBJ_ADAPTER(String s, int minor, CompletionStatus completed)` Constructs an `OBJ_ADAPTER` exception with the specified description message, minor code, and completion status.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OBJ_ADAPTER

    public OBJ_ADAPTER()

Constructs an `OBJ_ADAPTER` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

#### OBJ_ADAPTER

    public OBJ_ADAPTER(String s)

Constructs an `OBJ_ADAPTER` exception with the specified description, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a description message

#### OBJ_ADAPTER

    public OBJ_ADAPTER(int minor,
                       CompletionStatus completed)

Constructs an `OBJ_ADAPTER` exception with the specified minor code and completion status.

Parameters:
  `minor` - the minor code
  `completed` - the completion status

#### OBJ_ADAPTER

    public OBJ_ADAPTER(String s,
                       int minor,
                       CompletionStatus completed)

Constructs an `OBJ_ADAPTER` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - the minor code
  `completed` - the completion status